_alpm_question_t(3)

NAME
_alpm_question_t - Questions.

SYNOPSIS

#include <alpm.h>

  Data Fields
alpm_question_type_t type
alpm_question_any_t any
alpm_question_install_ignorepkg_t install_ignorepkg
alpm_question_replace_t replace
alpm_question_conflict_t conflict
alpm_question_corrupted_t corrupted
alpm_question_remove_pkgs_t remove_pkgs
alpm_question_select_provider_t select_provider
alpm_question_import_key_t import_key

Detailed Description

Questions. This is an union passed to the callback, that allows the frontend to know which type of question was triggered (via type). It is then possible to typecast the pointer to the right structure, or use the union field, in order to access question-specific data.

Author

Generated automatically by Doxygen for libalpm from the source code.